Get Post
curl --request GET \
--url https://api.fourthwall.com/open-api/v1.1/memberships/posts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fourthwall.com/open-api/v1.1/memberships/posts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fourthwall.com/open-api/v1.1/memberships/posts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "Text",
"title": "<string>",
"liveAt": "2023-11-07T05:31:56Z",
"path": "<string>",
"access": {
"tiers": [
{
"id": 123
}
],
"price": 123
},
"notifications": {
"type": "Enabled"
},
"tags": [
{
"id": 123
}
],
"statuses": {},
"comments": {
"count": 123
},
"likes": {
"count": 123
},
"purchaseData": {
"purchasesCount": 123
},
"id": 123,
"description": "<string>",
"pinnedAt": "2023-11-07T05:31:56Z"
}{
"parameters": "{ \"post_id\": [ \"is missing\" ] }",
"body": "{ \"discount\": { \"percentOff\": [ \"is missing\" ] } }"
}{
"message": "<string>"
}Posts
Get Post
GET
/
open-api
/
v1.1
/
memberships
/
posts
/
{id}
Get Post
OAuth scope:
memberships_readAPI keys have full access to this endpoint.Authorizations
oauthbasicAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Response
- Text
- Poll
- Audio
- Video
- Video Embed
- Image
Available options:
Text Show child attributes
Show child attributes
- Enabled
- Disabled
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I